%global fontname        source-serif-pro
%global fontarchive     source-serif
%global filename        SourceSerif4
%global foundry         adobe
%global fontconf        61-%{foundry}-%{fontname}
%global commit          release
%global fontext         otf
%global fontsstat       OTF
%global tmp_ttx         TMP_ttx
%global tmp_edited      TMP_ttx2
%global tmp_fonts       TMP_fonts

%global common_desc \
%{expand:
Source Serif is an open-source typeface to complement the Source Sans family.
}


Name:           %{foundry}-%{fontname}-fonts
Version:        4.005
Release:        K01%{?dist}
Epoch:          1
Summary:        Serif typeface for setting text in many sizes, weights, and languages.

License:        OFL
URL:            https://github.com/adobe-fonts/source-serif
Source0:        %{fontarchive}-%{commit}.zip
Source1:        %{name}.conf
Source2:        fix_names.pl


BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  perl
BuildRequires:  perl-XML-LibXML
BuildRequires:  fonttools


%description
%common_desc



#----------------------------------------------------------------------#


%prep
%setup  -q -c %{fontarchive}-%{commit}


%build

# Fix the FontFamily names.
rm -fr %{tmp_ttx}
mkdir -p %{tmp_ttx}
ttx -f -q -d %{tmp_ttx} %{fontarchive}-%{commit}/%{fontsstat}/*.%{fontext}
perl %{SOURCE2} in=%{tmp_ttx} out=%{tmp_edited} WAF
rm -fr %{tmp_fonts}
mkdir -p %{tmp_fonts}
ttx -f -q -d %{tmp_fonts} %{tmp_edited}/*.ttx



%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{tmp_fonts}/*.%{fontext} %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf

for fconf in %{fontconf}.conf \
              ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done



%files
%defattr(0644,root,root,-)
%{_fontdir}/%{filename}*.%{fontext}
%doc %{fontarchive}-%{commit}/README.md
%license %{fontarchive}-%{commit}/LICENSE.md
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf



%changelog
* Sat Mar 8 2025 Karlis Kalviskis <karlo@lu.lv> - 3.052-K01
- Initial release.
- Patched static font name table.
